ChangeDetectionPolicy.Mode (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.impl, class: ChangeDetectionPolicy, enum: Mode

Package org.apache.hadoop.fs.s3a.impl

# Enum Class ChangeDetectionPolicy.Mode

java.lang.Object
java.lang.Enum<ChangeDetectionPolicy.Mode>
org.apache.hadoop.fs.s3a.impl.ChangeDetectionPolicy.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<ChangeDetectionPolicy.Mode>`, `Constable`

Enclosing class:
  org.apache.hadoop.fs.s3a.impl.ChangeDetectionPolicy

public static enum ChangeDetectionPolicy.Mode extends Enum<ChangeDetectionPolicy.Mode>
What to do when change is detected.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Client`
  Client side validation.
  `None`
  No checks.
  `Server`
  Server side validation.
  `Warn`
  Warn but continue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDetectionPolicy.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChangeDetectionPolicy.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Client

    public static final ChangeDetectionPolicy.Mode Client
    Client side validation.

  - ### Server

    public static final ChangeDetectionPolicy.Mode Server
    Server side validation.

  - ### Warn

    public static final ChangeDetectionPolicy.Mode Warn
    Warn but continue.

  - ### None

    public static final ChangeDetectionPolicy.Mode None
    No checks.

- ## Method Details

  - ### values

    public static ChangeDetectionPolicy.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChangeDetectionPolicy.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null